@import '../../../../../node_modules/bulma/sass/utilities/_all.sass';
@import './../../../../scss/variables.scss';

.relations-section {
  flex-shrink: 0;
  margin-left: 1rem;

  @media screen and (max-width: $desktop) {
    margin-left: 0;
    margin-top: 1rem;
    width: 100%;
    max-width: 680px;
  }

  @media screen and (min-width: $desktop) {
    width: 33%;
    position: sticky;
    top: 86px;
    height: 100%;
  }

  @media screen and (min-width: $widescreen) {
    width: 25%;
  }

  .relation-type {
    font-size: 1.25rem;
    font-weight: 600;
    color: $grey-dark-color;
    margin: 1rem 0 1rem 1rem;
    display: block;
  }

  .relation {
    border-radius: 4px;
    margin-bottom: 1rem;
    background-color: white;
    padding: 0.75rem;

    @media screen and (max-width: $desktop) {
      padding: 1rem;
    }

    a {
      display: flex;
    }

    .relation-title {
      font-size: 0.875rem;
      font-weight: bold;
      color: $brand-color;
      margin-bottom: 0.25rem;
      line-height: 1.22;
    }

    a:hover {
      text-decoration: none;

      .relation-title {
        text-decoration: underline;
      }
    }

    img {
      height: 53px;
      width: 72px;
      border-radius: 4px;
      background-color: #5c81c7;
    }

    img.fit {
      object-fit: cover;
    }

    .relation-info {
      margin-left: 0.75rem;

      @media screen and (max-width: $desktop) {
        margin-left: 1rem;
      }

      span {
        display: block;
      }

      .relation-subtitle {
        display: inline;
        font-weight: 500;
      }
    }

    .relation-producer {
      font-size: 0.875rem;
      color: $grey-dark-color;
    }
  }
}
